You are not logged in.

#1 2022-06-21 12:33:12

thelongdivider
Member
Registered: 2013-11-09
Posts: 52

Zfs with linux 5.18

I'm trying to reinstall arch.  I set pacman to ignore Linux upgrade, but that broke my video drivers instead.  So I actually switched to Ubuntu briefly to try to resolve the below issues, but found it slow and buggy by comparison.  The basic situation is that I have:

1 nvme ssd to boot frmo
4 hdd with zfs raidz1

zfs-Linux cannot operate with Linux 5.18, and the same is true of the lts branch at this moment.  I reverted to 5.17.9 prior to reinstalling, but that broke nvidia drivers.

So my primary question is what do people who run zfs do with linux upgrades?  5.18 seems to be particularly problematic for all Linux + Zfs users.

Offline

#2 2022-06-21 12:36:20

Slithery
Administrator
From: Norfolk, UK
Registered: 2013-12-01
Posts: 5,647

Re: Zfs with linux 5.18

One option is to use the nvidia-dkms package instead of nvidia. This will keep your graphics drivers in sync with your installed kernel.


No, it didn't "fix" anything. It just shifted the brokeness one space to the right. - jasonwryan
Closing -- for deletion; Banning -- for muppetry. - jasonwryan

aur - dotfiles

Offline

#3 2022-06-23 15:09:05

Zod
Member
From: Hoosiertucky
Registered: 2019-03-10
Posts: 589

Re: Zfs with linux 5.18

[jbarks@carlos ~]$ sudo zpool status -v
  pool: tasker
 state: ONLINE
  scan: scrub repaired 0B in 01:38:58 with 0 errors on Mon Jun 20 09:29:02 2022
config:

        NAME                                          STATE     READ WRITE CKSUM
        tasker                                        ONLINE       0     0     0
          mirror-0                                    ONLINE       0     0     0
            ata-WDC_WD10JPVX-22JC3T0_WD-WXQ1EB653KFN  ONLINE       0     0     0
            ata-WDC_WD10JPVX-22JC3T0_WD-WXH1E66916D7  ONLINE       0     0     0

errors: No known data errors
[jbarks@carlos ~]$ dkms status
nvidia/390.151, 5.18.6-zen1-1-zen, x86_64: installed
zfs/2.1.4+88.rfc18fa92c8, 5.18.6-zen1-1-zen, x86_64: installed
[jbarks@carlos ~]$ uname -r
5.18.6-zen1-1-zen

Offline

#4 2022-06-23 19:42:44

Anonymo
Member
Registered: 2005-04-07
Posts: 425
Website

Re: Zfs with linux 5.18

https://github.com/openzfs/zfs/releases/tag/zfs-2.1.5

Sometimes you'll have to hold back updating the kernel until a new version of ZFS supports the newest kernel.

Last edited by Anonymo (2022-06-23 19:43:47)

Offline

#5 2022-06-23 20:10:36

Zod
Member
From: Hoosiertucky
Registered: 2019-03-10
Posts: 589

Re: Zfs with linux 5.18

[jbarks@carlos ~]$ sudo zpool status -v
  pool: tasker
 state: ONLINE
  scan: scrub repaired 0B in 01:38:58 with 0 errors on Mon Jun 20 09:29:02 2022
config:

	NAME                                          STATE     READ WRITE CKSUM
	tasker                                        ONLINE       0     0     0
	  mirror-0                                    ONLINE       0     0     0
	    ata-WDC_WD10JPVX-22JC3T0_WD-WXQ1EB653KFN  ONLINE       0     0     0
	    ata-WDC_WD10JPVX-22JC3T0_WD-WXH1E66916D7  ONLINE       0     0     0

errors: No known data errors
[jbarks@carlos ~]$ dkms status
nvidia/390.151, 5.18.6-zen1-1-zen, x86_64: installed
zfs/2.1.5, 5.18.6-zen1-1-zen, x86_64: installed
[jbarks@carlos ~]$ uname -r
5.18.6-zen1-1-zen

Offline

#6 2022-06-23 20:21:39

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 10,947
Website

Re: Zfs with linux 5.18

Mod note: moving to AUR Issues


Sakura:-
Mobo: MSI MAG X570S TORPEDO MAX // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#7 2022-07-21 09:19:42

jonathon
Member
Registered: 2016-09-19
Posts: 128

Re: Zfs with linux 5.18

thelongdivider wrote:

zfs-Linux cannot operate with Linux 5.18, and the same is true of the lts branch at this moment.

The AUR packages (zfs-dkms) pretty much always (as in, for at least the past year) work with the latest kernel(s).

thelongdivider wrote:

So my primary question is what do people who run zfs do with linux upgrades?  5.18 seems to be particularly problematic for all Linux + Zfs users.

I use zfs-dkms.

Offline

Board footer

Powered by FluxBB